メインコンテンツへスキップ
GET
/
docgen_jobs
/
{job_id}
cURL
curl -i -X GET "https://api.box.com/2.0/docgen_jobs/12345" \
     -H 'box-version: 2025.0' \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "id": "12345",
  "type": "docgen_job",
  "batch": {
    "id": "12345",
    "type": "docgen_batch"
  },
  "template_file": {
    "type": "file",
    "id": "42037322"
  },
  "template_file_version": {
    "id": "12345",
    "type": "file_version"
  },
  "status": "completed",
  "output_type": "docx",
  "output_file": {
    "type": "file",
    "id": "42037322"
  },
  "output_file_version": {
    "id": "12345",
    "type": "file_version"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ヘッダー

box-version
enum<string>
必須

Version header.

利用可能なオプション:
2025.0

パスパラメータ

job_id
string
必須

Box Doc GenジョブのID。

レスポンス

Box Doc Genジョブの詳細。

Box Doc GenジョブのStandard版の表示。

id
string
必須

Box Doc Genジョブを表す一意の識別子。

:

"12345"

type
enum<string>
必須

値は常にdocgen_jobになります。

利用可能なオプション:
docgen_job
:

"docgen_job"

batch
Box Doc Genのバッチ (Base) · object
必須

ジョブが属しているBox Doc Genのバッチ。

template_file
ファイルの参照 · object
必須

ジョブで使用されたBox Doc Genテンプレート。

template_file_version
ファイルバージョン (Base) · object
必須

テンプレートのファイルバージョン。

status
enum<string>
必須

ジョブのステータス。

利用可能なオプション:
submitted,
completed,
failed,
completed_with_error,
pending
:

"completed"

output_type
string
必須

生成されたファイルの種類。

:

"docx"

output_file
ファイルの参照 · object

ジョブの出力ファイル。このプロパティは、ジョブが完了するまでnullとなります。

output_file_version
ファイルバージョン (Base) · object

出力ファイルのファイルバージョン。このプロパティは、ジョブが完了するまでnullとなります。